{% extends "base.html" %}
{% load staticfiles %}

{% block mathjax %}
  <script type="text/x-mathjax-coenfig">
MathJax.Hub.Config({
  tex2jax: {
    inlineMath: [['$','$'], ['\\(','\\)']],
    processEscapes: true,
  }
});
  </script>
  <script type="text/javascript" async
  src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-MML-AM_CHTML">
    </script>
  {% endblock mathjax %}


{% block "account_maintenance" %}
  <div id='account_maintenance'>
    <span class='account_maintenance_entry'><a href='/lessons/{{lesson_type}}/?nextlesson=true'>To next lesson</a></span>
    <span class='account_maintenance_entry'><a href='/lessons/'>To home page</a></span>
    <span class='account_maintenance_entry'><a href='/accounts/logout'>Logout</a></span>
    </div>
  {% endblock "account_maintenance" %}


{% block content %}
{% if choose_video_series %}
  <div id="title">
    <h2>{% autoescape off %}Choose a video series{% endautoescape %}</h2>
    </div>

  <p>For this set of lessons there is more than one video series.
     They all cover exactly the same things&nbsp;&mdash; they all use the same
     script&nbsp;&mdash; but each series shows a different platform.
     Choose the one that best fits you.
    </p>

  <form action="" method="post">
    {% csrf_token %}
    {{ vs_fm.management_form }}
    {% for fm in vs_fm %}
      {% if fm.errors %}
        <div id='errors'>
        <p id='error-announcement'>Your information contained errors, sorry.</p>
          {% for error in fm.non_field_errors %}
            <p class="alert alert-danger">{{ error.as_text|escape }}
              </p>
            {% endfor %}
        </div>
        {% endif %}
      <table> 
        {% for field in fm.visible_fields %}
          <tr class="field_row">
            <td class='form_tag'>Video series for {{field.label_tag|safe}}</td> 
            <td>{{ field }}&nbsp;
              {% if field.errors %}Error: {{ field.errors.as_text }}
                {% else %}<span class='form_comment'>{{ field.help_text }}
                  <!-- {% if field.field.required %}(required){% endif %}</span> -->
              </td>
                {% endif %}
            </tr>
          {% endfor %}
        </table>
      {% for hidden in vs_fm.hidden_fields %}{{ hidden }}{% endfor %}
      {% endfor %}  {# ends for fm in vs_forms #}
        <input type="submit" value="Choose this series" />
    </form>
{% else %}  {# for if choose_video_series #}

  <div id="title">
    <h2>{% autoescape off %}{{ title }}: {{ intro_text }}{% endautoescape %}</h2>
    </div>

  <div id="lesson_files">
      <h4 id="lesson_docs">Documents for this lesson</h4>
      {% autoescape off %}{{ lesson_docs }}{% endautoescape %}
      </div>
  <div id="lesson_body"><iframe width="560" height="315" src="https://www.youtube.com/embed/GCUfOm3sHEs" frameborder="0" allowfullscreen></iframe>
      <h3>Description</h3>
      {% autoescape off %}{{ body_text }}{% endautoescape %}
      </div>

  <div id="test">
    <h3>Check your understanding</h3>
    <p>For each question, decide what you think and then compare it
      with the answer that appears when you mouse over the colored box. 
      </p>
    {% autoescape off %}{{ lesson_test }}{% endautoescape %}
    </div>
{% endif %} {# for if choose_video_series #}
{% endblock content %}
